List imports
This method returns a list of the imports for the specified connection. The platform returns the imports sorted by creation date, with the newest at the top of the list. Each import in the list is a summary that omits the `items` array. To see the status of each file, use the [Retrieve an import](/v1.3/api-reference/data-connectors/imports/retrieve-an-import) endpoint.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
connection_id
The unique identifier of the connection to list imports for.
Query parameters
page
A number that identifies the page to retrieve.
Default: 1.
page_limit
The number of items to return on each page.
Default: 10.
Max: 50.
Response
The imports have been successfully retrieved.
data
An array containing the imports.
page_info
An object that provides information about pagination.
Errors
400
Bad Request Error
404
Not Found Error